# Example imaging script for a data set with some ACA antennas but
# also up to 1.6 km baselines

os.system('rm -rf SgrB2_171_spw2_54-184_HCO.clean*') 
tclean(vis=['X391_Sgr_B2N.ms_FluxEqual_171'],
	imagename='SgrB2_171_spw2_54-184_HCO.clean', 
        spw='2',                          #
	field='Sgr_B2N',                  
	specmode='cube',            
        outframe='lsrk',
        restfreq='172.37738GHz',
	start=54,                       
        nchan=131,
	gridder='mosaic',               # Recommended for mixed antenna sizes
        pblimit=0.05,
	imsize=800,
        threshold='70mJy/beam',
        cell='0.04arcsec',
        weighting='briggs',           
        robust=0.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
	interactive=T)

# Make primary-beam corrected FITS images:
# cube HCO centred on tentative ID

imlist=['SgrB2_171_spw2_54-184_HCO.clean']
for i in imlist:
    os.system('rm -rf '+i+'.pbcorr ' +i+'*fits')
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
